package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-05-27
 * @description : 消息推送渠道类型
 */
@Getter
@AllArgsConstructor
public enum PushMsgAgentTypeEnum {

    /**
     * 所有渠道
     */
    PUSH_MSG_AGENT_ALL("PUSH_MSG_AGENT_ALL"),

    /**
     * 自然量渠道
     */
    PUSH_MSG_AGENT_DEFAULT("PUSH_MSG_AGENT_DEFAULT"),

    /**
     * 非自然量渠道
     */
    PUSH_MSG_AGENT_UN_DEFAULT("PUSH_MSG_AGENT_UN_DEFAULT");

    /**
     * 消息推送渠道类型
     */
    private String value;
}
